// Node.js file
//const WebSocket = require('ws'); // wsモジュールをインポート

function init() {
    let socket;
    const port = 8293;

    function websocket() {
        try {
            if (!socket || socket.readyState !== WebSocket.OPEN) { // WebSocket.OPENを使用
                socket = new WebSocket(`ws://localhost:${port}`);

                socket.onopen = function (event) {
                    console.log("JS:接続されました！");
                    socket.send("JS:接続されたよ！"); // サーバーにメッセージを送信
                };

                socket.onmessage = function (event) {
                    try {
                        // JSON判別の処理を追加することが可能
                        console.log("サーバーからのメッセージ:", event.data);
                    } catch (error) {
                        console.log("メッセージ受信エラー:", error);
                    }
                };

                socket.onclose = function (event) {
                    if (event.wasClean) {
                        console.log("JS:切断しました！");
                    } else {
                        console.error("JS:切断エラーが起きました！");
                        setTimeout(websocket, 1000); // 接続が切れた場合、1秒後に再接続
                    }
                };

                socket.onerror = function (error) {
                    console.error("JS:WebSocket Error", error);
                };
            }
        } catch (error) {
            console.error("エラーが発生しました！", error);
        }
    }

    websocket();
}

init();
